--PMM 附加费编码规则
IF NOT EXISTS (SELECT 1 FROM T_CR_CodeRuleEntry WHERE FENTRYID = '1CEZ+6FMCQYK')
INSERT INTO T_CR_CodeRuleEntry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FCUTSTYLE,FSTEP,FATTUSINGMODE,FSEQ,FISVISABLE,FLENGTH,FFORMAT,FSETTINGVALUE,FADDSTYLE,FISSPLITSIGN,FVALUEATRIBUTE,FADDCHAR) VALUES ('1CEZ+6ESR/6Z',1,'1',' ','0','1CEZ+6FMCQYK','1',1,'1',0,'1',8,'CFJF',' ','1','0',' ',' '); 

IF NOT EXISTS (SELECT 1 FROM T_CR_CodeRuleEntry WHERE FENTRYID = '1CEZ+6FMCQYL')
INSERT INTO T_CR_CodeRuleEntry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FCUTSTYLE,FSTEP,FATTUSINGMODE,FSEQ,FISVISABLE,FLENGTH,FFORMAT,FSETTINGVALUE,FADDSTYLE,FISSPLITSIGN,FVALUEATRIBUTE,FADDCHAR) VALUES ('1CEZ+6ESR/6Z',1,'16','-','0','1CEZ+6FMCQYL','1',1,' ',1,'1',4,' ',' ','1','1',' ',' '); 

IF NOT EXISTS (SELECT 1 FROM T_CR_CodeRule WHERE FID = '1CEZ+6ESR/6Z')
INSERT INTO T_CR_CodeRule(FEXAMPLE,FAPPMODE,FISADDVIEW,FISAPPCONDITION,FMASTERID,FISUNIQUE,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FISUPDATERECOVER,FENABLE,FISAPPORG,FISSERIALNUMBER,FISCHECKCODE,FID,FCTRLMODE,FSPLITSIGN,FISLOG,FSTATUS,FNUMBER,FEXAMPLELENGTH,FISFAST,FMODIFIERID,FISNONBREAK,FMODIFYTIME,FCREATORID) VALUES (' ','2','1','0','1CEZ+6ESR/6Z','0','0',{ts'2021-01-27  18:00:35'},'pmm_surcharge','0','1','0','1','0','1CEZ+6ESR/6Z','1','-','0','C','1CEYY4PAS5AO',' ','0',0,'0',{ts'2021-01-27  18:00:35'},0); 

IF NOT EXISTS (SELECT 1 FROM T_CR_CodeRule_l WHERE FPKID = '1CEZ+6ESQZVF')
INSERT INTO T_CR_CodeRule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1CEZ+6ESR/6Z','1CEZ+6ESQZVF','zh_CN','附加费方案'); 

--PMM 运费方案编码规则
IF NOT EXISTS (SELECT 1 FROM T_CR_CodeRuleEntry WHERE FENTRYID = '1CB2X+1IJEZ9')
INSERT INTO T_CR_CodeRuleEntry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FCUTSTYLE,FSTEP,FATTUSINGMODE,FSEQ,FISVISABLE,FLENGTH,FFORMAT,FSETTINGVALUE,FADDSTYLE,FISSPLITSIGN,FVALUEATRIBUTE,FADDCHAR) VALUES ('1CB2X+/RNJ=I',1,'1',' ','0','1CB2X+1IJEZ9','1',1,'1',0,'1',8,'CPYF',' ','1','0',' ',' '); 

IF NOT EXISTS (SELECT 1 FROM T_CR_CodeRuleEntry WHERE FENTRYID = '1CB2X+1IJEZ=')
INSERT INTO T_CR_CodeRuleEntry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FCUTSTYLE,FSTEP,FATTUSINGMODE,FSEQ,FISVISABLE,FLENGTH,FFORMAT,FSETTINGVALUE,FADDSTYLE,FISSPLITSIGN,FVALUEATRIBUTE,FADDCHAR) VALUES ('1CB2X+/RNJ=I',1,'16','-','0','1CB2X+1IJEZ=','1',1,' ',1,'1',4,' ',' ','1','1',' ',' '); 

IF NOT EXISTS (SELECT 1 FROM T_CR_CodeRule WHERE FID = '1CB2X+/RNJ=I')
INSERT INTO T_CR_CodeRule(FEXAMPLE,FAPPMODE,FISADDVIEW,FISAPPCONDITION,FMASTERID,FISUNIQUE,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FISUPDATERECOVER,FENABLE,FISAPPORG,FISSERIALNUMBER,FISCHECKCODE,FID,FCTRLMODE,FSPLITSIGN,FISLOG,FSTATUS,FNUMBER,FEXAMPLELENGTH,FISFAST,FMODIFIERID,FISNONBREAK,FMODIFYTIME,FCREATORID) VALUES (' ','2','1','0','1CB2X+/RNJ=I','0','0',{ts'2021-01-26  15:24:41'},'pmm_freightscheme','0','1','0','1','0','1CB2X+/RNJ=I','1','-','0','C','1CB2U88ONV+P',' ','0',0,'0',{ts'2021-01-26  15:24:41'},0); 

IF NOT EXISTS (SELECT 1 FROM T_CR_CodeRule_l WHERE FPKID = '1CB2X+/RP7LD')
INSERT INTO T_CR_CodeRule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1CB2X+/RNJ=I','1CB2X+/RP7LD','zh_CN','运费方案'); 



